* {
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}
  
/* :root {
  color-scheme: light dark;                   
}
        ///////////////////////////-------- css darkmode ------------/////////////////////////////////
body {
  background-color: light-dark(#fff, #000000);
  color: light-dark(#000000, #fff);
  font-family: "Raleway", Arial, sans-serif;
} */

body {
  font-family: "Raleway", Arial, sans-serif;
}

p {
  color: rgb(85, 85, 85);
}
/* -------desktop nav------ */
nav,
.nav-links {
  display: flex;
}

nav {
  justify-content: space-around;
  align-items: center;
  height: 17vh;
}

.nav-links {
  gap: 2rem;
  font-size: 1.3rem;
}

/* nav ul {
  justify-content: space-between;
} */

nav ul li {
  list-style-type: none;
}

ul li a {
  text-decoration: none;
  /* color: green; */
  transition: all 0.3s ease;
  position: relative;
}

nav ul li a::after {
  content: '';
  width: 0%;
  height: 3px;
  background: #838081;
  position: absolute;
  left: 0;
  bottom: -6px;
  transition: 0.5s;
  z-index: 10;
}

/* nav ul li a:visited {
  color: rgb(104, 94, 94);
} */

nav ul li a:hover::after {
  width: 100%;
}

/* nav ul li a:hover {
  text-decoration: underline;
  text-underline-offset: 0.6rem;
  text-decoration-color: rgb(104, 94, 94);
  color: rgb(121, 104, 104);
} */

.logo {
  font-size: 2rem;
  font-weight: 700;
}

.logo:hover {
  cursor: default;
}

/* ----hamburger menu--------- */
#hamburger-nav {
  display: none;
}

.hamburger-menu {
  position: relative;
  display: inline-block;
}

.hamburger-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 24px;
  cursor: pointer;
}

.hamburger-icon span {
  width: 100%;
  height: 3px;
  background-color: black;
  transition: all 0.3 ease-in-out;
}

.menu-links {
  position: absolute;
  top: 100%;
  right: 10px;
  background-color: rgb(255, 255, 255);
  width: fit-content;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3 ease-in-out;
}

.menu-links a {
  display: block;
  padding: 10px;
  font-size: 1.3rem;
  transition: all 0.3 ease-in-out;
  text-align: center;
  text-decoration: none;
}

.menu-links.open {
  max-height: 300px;
}

.hamburger-icon.open span:first-child {
  transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
  opacity: 0;
}

.hamburger-icon.open span:last-child {
  transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
  transform: none;
}

.hamburger-icon span:nth-child(2) {
  opacity: 1;
}

.hamburger-icon span:last-child {
  transform: none;
}

/* ---------sections---------- */
section {
  padding-top: 4vh;
  height: auto;
  min-height: 96vh;
  margin: 0 10rem;
  box-sizing: border-box;
  padding-bottom: 4vh;
}


#home {
  display: flex;
  justify-content: center;
  gap: 5rem;
  height: 80vh;
}

.section-picture-container {
  display: flex;
  height: 400px;
  width: 400px;
  margin: auto 0;
}

.section-text {
  align-self: center;
  text-align: center;
}

.section-text p {
  font-weight: 600;
}
.section-text .title {
  padding: 0.1rem 0 0.3rem;
}
.section-text-p1 {
  text-align: center;
  /* font-size: 1.6rem; */
}

.section-text-p2 {
  text-align: center;
  font-size: 1.7rem;
  margin-bottom: 1rem;
}

.title {
  font-size: 3rem;
  text-align: center;
}

#social-icons-container {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
  gap: 1rem;

}

.icon {
  height: 2rem;
  cursor: pointer;
  transition: transform 0.4s ease-in-out;
}

.icon:hover {
  transform: scale(1.1);
}

.button-container {
  display: flex;
  justify-content: center;
  gap: 1rem;
  margin-bottom: 1rem;
}

.btn {
  font-weight: 600;
  transition: all 300ms ease;
  padding: 1rem;
  width: 8rem;
  border-radius: 2rem;
  transition: all 0.3s ease;
}

.btn-color-1,
.btn-color-2 {
  border: rgb(51, 51, 51) 0.1rem solid;
}

.btn-color-1:hover,
.btn-color-2:hover {
  cursor: pointer;

}

.btn-color-1,
.btn-color-2:hover {
  background-color: rgb(48, 48, 48);
  color: white;
}

.btn-color-1:hover {
  background-color: black;
}

.btn-color-2 {
  background: none;
}

.btn-color-2:hover {
  border: white 0.1rem solid;
  background-color: black;
}

/* --------about section-------- */
.about-pic {
  width: 400px;
  border-radius: 2rem;
}

#about {
  position: relative;
}

.section-container {
  display: flex;
  gap: 4rem;
  height: 80%;
}

.about-containers {
  gap: 2rem;
  margin: 2rem 0;
}

.about-me-container {
  justify-content: center;
  flex-direction: column;
}

.about-containers,
.about-me-container {
  display: flex;
}

.details-container {
  padding: 1.5rem;
  flex: 1;
  border-radius: 2rem;
  border: rgb(163, 163, 163) 0.1rem solid;
  text-align: center;
  background: white;
}
.details-container p {
  line-height: 1.5rem;
  padding-top: 0.4rem;
} 

.details-container .icon {
  cursor: default;
}


.text-container {
  justify-content: center;
  line-height: 1.7rem;
  /* flex-wrap: nowrap; */
  max-height: 100%;
}

/* ------experience------- */

#experience {
  position: relative;
  min-height: fit-content;
  padding-bottom: 2rem;
}

.experience-subtitle {
  color: rgb(85, 85, 85);
  font-weight: 600;
  font-size: 1.75rem;
  margin-bottom: 2rem;
}

.experience-details-container {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}

.article-container {
  display: flex;
  flex-wrap: wrap;
  text-align: initial;
  justify-content: space-around;
  gap: 2.5rem;
  min-height: fit-content;
}

article {
  display: flex;
  width: 10rem;
  justify-content: space-around;
  gap: 0.5rem;
}

article .icon {
  cursor: default;
}

/* ------projects-------- */
.color-container {
  border-color: rgb(165, 165, 165);
  background: rgb(243, 243, 243);
  transition: all 0.4s ease;
}

.color-container:hover {
  transform: scale(1.05);

}

.project-img {
  border-radius: 1rem;
  width: 100%;
  height: 100%;
}

.project-title {
  margin: 1rem;
  color: black;
}

.project-description {
  margin: 0 1rem 1rem 1rem;
  color: rgb(85, 85, 85);
  font-size: 0.9rem;
  line-height: 1.4;
  text-align: center;
}

.project-btn {
  color: black;
  border-color: rgb(117, 117, 117);
}

/* ----------work-experience---------- */
#work-experience {
  position: relative;
  text-align: center;
  padding: 2rem;
  min-height: fit-content;
  height: auto;
}

.work-experience-item {
  margin: 2rem 0;
  padding: 2rem;
  border: 0.1rem solid rgb(163, 163, 163);
  border-radius: 2rem;
  background: rgb(250, 250, 250);
}

.work-header {
  margin-bottom: 1.5rem;
}

.work-header h2 {
  color: rgb(85, 85, 85);
  margin-bottom: 0.5rem;
}

.company-name {
  font-weight: bold;
  color: rgb(53, 53, 53);
  margin-bottom: 0.5rem;
}

.work-period {
  color: rgb(85, 85, 85);
  font-style: italic;
  margin-bottom: 1rem;
}

.work-description ul {
  text-align: left;
  list-style-type: disc;
  margin-left: 2rem;
}

.work-description li {
  margin-bottom: 0.5rem;
  color: rgb(85, 85, 85);
}

/* ------------contact------------ */
#contact {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 70vh;
}

.contact-info-container-main {
  display: flex;
  gap: 2rem;
  /* align-items: center; */
  justify-content: center;
  margin: 2rem auto;
  border: 0.1rem solid rgb(116, 116, 116);
  border-radius: 2rem;
  padding: 1rem;
  background: rgb(243, 243, 243);
  flex-wrap: wrap;

}

.contact-info-container p {
  color: black;
  cursor: default;

}

.contact-info-container a {
  text-decoration: none;
  color: black;
}

.contact-info-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  margin: 0.4rem;
}

.contact {
  cursor: default;
}

/* -------footer-------- */
footer {
  height: 26vh;
  margin: 0.1rem;
}

footer p {
  text-align: center;
}